public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "David Seifert" <soap@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: sys-cluster/mpich/
Date: Thu, 11 Aug 2016 07:55:07 +0000 (UTC)	[thread overview]
Message-ID: <1470902086.ade38d7a718260d0a2600a2421ea5959a12b4f43.soap@gentoo> (raw)

commit:     ade38d7a718260d0a2600a2421ea5959a12b4f43
Author:     Christoph Junghans <ottxor <AT> gentoo <DOT> org>
AuthorDate: Wed Aug 10 17:07:58 2016 +0000
Commit:     David Seifert <soap <AT> gentoo <DOT> org>
CommitDate: Thu Aug 11 07:54:46 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=ade38d7a

sys-cluster/mpich: add multilib version

Package-Manager: portage-2.2.28
Closes: https://github.com/gentoo/gentoo/pull/2062

Signed-off-by: David Seifert <soap <AT> gentoo.org>

 sys-cluster/mpich/mpich-3.2-r1.ebuild | 114 ++++++++++++++++++++++++++++++++++
 1 file changed, 114 insertions(+)

diff --git a/sys-cluster/mpich/mpich-3.2-r1.ebuild b/sys-cluster/mpich/mpich-3.2-r1.ebuild
new file mode 100644
index 0000000..382b2ca
--- /dev/null
+++ b/sys-cluster/mpich/mpich-3.2-r1.ebuild
@@ -0,0 +1,114 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+
+FORTRAN_NEEDED=fortran
+FORTRAN_STANDARD="77 90"
+
+inherit fortran-2 multilib-minimal
+
+MY_PV=${PV/_/}
+DESCRIPTION="A high performance and portable MPI implementation"
+HOMEPAGE="http://www.mpich.org/"
+SRC_URI="http://www.mpich.org/static/downloads/${PV}/${P}.tar.gz"
+
+SLOT="0"
+LICENSE="mpich"
+KEYWORDS=""
+IUSE="+cxx doc fortran mpi-threads romio threads"
+REQUIRED_USE="mpi-threads? ( threads )"
+
+COMMON_DEPEND="
+	>=dev-libs/libaio-0.3.109-r5[${MULTILIB_USEDEP}]
+	>=sys-apps/hwloc-1.10.0-r2[${MULTILIB_USEDEP}]
+	romio? ( net-fs/nfs-utils )"
+
+DEPEND="${COMMON_DEPEND}
+	dev-lang/perl
+	sys-devel/libtool"
+
+RDEPEND="${COMMON_DEPEND}
+	!sys-cluster/mpich2
+	!sys-cluster/openmpi"
+
+S="${WORKDIR}"/${PN}-${MY_PV}
+
+MULTILIB_WRAPPED_HEADERS=(
+	/usr/include/mpicxx.h
+	/usr/include/mpi.h
+	/usr/include/opa_config.h
+)
+
+src_prepare() {
+	default
+
+	# Using MPICHLIB_LDFLAGS doesn't seem to fully work.
+	sed -i 's| *@WRAPPER_LDFLAGS@ *||' \
+		src/packaging/pkgconfig/mpich.pc.in \
+		src/env/*.in \
+		|| die
+}
+
+multilib_src_configure() {
+	# The configure statements can be somewhat confusing, as they
+	# don't all show up in the top level configure, however, they
+	# are picked up in the children directories.
+
+	export MPICHLIB_CFLAGS="${CFLAGS}"
+	export MPICHLIB_CPPFLAGS="${CPPFLAGS}"
+	export MPICHLIB_CXXFLAGS="${CXXFLAGS}"
+	export MPICHLIB_FFLAGS="${FFLAGS}"
+	export MPICHLIB_FCFLAGS="${FCFLAGS}"
+	export MPICHLIB_LDFLAGS="${LDFLAGS}"
+	unset CFLAGS CPPFLAGS CXXFLAGS FFLAGS FCFLAGS LDFLAGS
+
+	ECONF_SOURCE=${S} econf \
+		--enable-shared \
+		--sysconfdir="${EPREFIX}/etc/${PN}" \
+		--with-hwloc-prefix="${EPREFIX}/usr" \
+		--enable-threads=$(usex mpi-threads runtime single) \
+		--with-thread-package=$(usex threads pthreads none) \
+		--with-pm=hydra \
+		--disable-fast \
+		--enable-versioning \
+		$(use_enable romio) \
+		$(use_enable cxx) \
+		$(multilib_native_use_enable fortran fortran all)
+}
+
+multilib_src_test() {
+	emake -j1 check
+}
+
+multilib_src_install() {
+	default
+
+	# fortran header cannot be wrapped (bug #540508), workaround part 1
+	if multilib_is_native_abi && use fortran; then
+		mkdir "${T}"/fortran || die
+		mv "${ED}"usr/include/mpif* "${T}"/fortran || die
+		mv "${ED}"usr/include/*.mod "${T}"/fortran || die
+	else
+		# some fortran files get installed unconditionally
+		rm "${ED}"usr/include/mpif* "${ED}"usr/include/*.mod || die
+	fi
+}
+
+multilib_src_install_all() {
+	# fortran header cannot be wrapped (bug #540508), workaround part 2
+	if use fortran; then
+		mv "${T}"/fortran/* "${ED}"usr/include || die
+	fi
+
+	einstalldocs
+	newdoc src/pm/hydra/README README.hydra
+	if use romio; then
+		newdoc src/mpi/romio/README README.romio
+	fi
+
+	if ! use doc; then
+		rm -rf "${ED}"usr/share/doc/${PF}/www* || die
+	fi
+}


             reply	other threads:[~2016-08-11  7:55 UTC|newest]

Thread overview: 36+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2016-08-11  7:55 David Seifert [this message]
  -- strict thread matches above, loose matches on Subject: below --
2023-05-16  1:52 [gentoo-commits] repo/gentoo:master commit in: sys-cluster/mpich/ Sam James
2023-01-12 21:50 Yixun Lan
2023-01-12 21:50 Yixun Lan
2022-01-12  9:41 Andreas Sturmlechner
2022-01-12  7:42 Agostino Sarubbo
2022-01-10 22:59 Sam James
2022-01-10 11:16 Arthur Zamarin
2022-01-10 11:14 Arthur Zamarin
2022-01-09 22:13 Andreas Sturmlechner
2021-12-18  8:08 Sam James
2021-12-18  8:08 Sam James
2021-10-29 22:44 Sam James
2021-10-15 22:01 Sam James
2021-10-15 21:43 Sam James
2021-10-13  5:26 Sam James
2021-10-13  5:12 Sam James
2021-09-23 20:36 Sam James
2021-09-23 20:31 Sam James
2020-12-21 19:34 Jonas Stein
2020-11-14 22:47 David Seifert
2019-09-04 14:21 Justin Bronder
2019-04-15 14:53 Justin Bronder
2018-09-21 13:42 Justin Bronder
2018-09-21 13:42 Justin Bronder
2018-06-11 10:51 Ulrich Müller
2017-06-23 19:26 Alexis Ballier
2017-04-15 13:08 Jeroen Roovers
2017-04-12 20:43 Justin Bronder
2017-03-16  7:12 Michael Weber
2017-03-11 13:42 Agostino Sarubbo
2017-03-11 13:31 Agostino Sarubbo
2016-09-06  0:18 Christoph Junghans
2016-08-29 20:58 Christoph Junghans
2016-08-29 20:13 Christoph Junghans
2015-12-21 13:54 Justin Bronder

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1470902086.ade38d7a718260d0a2600a2421ea5959a12b4f43.soap@gentoo \
    --to=soap@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox